%define name gnome-presence-applet
%define version 0.3.1
%define release 2mdk

Summary: Presence applet for the GNOME panel based on Galago
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.galago.info/files/releases/source/%{name}-%{version}.tar.bz2
License: GPL
Group: Graphical desktop/GNOME
Url: http://www.galago.info/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gnome-panel-devel
BuildRequires: libgalago-gtk-devel
BuildRequires: perl-XML-Parser

%description
This panel applet makes the Galago desktop presence framework
available from GNOME.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT %name.lang
%makeinstall_std
%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/%name.schemas > /dev/null

%preun
if [ "$1" = "0" ] ; then
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/%name.schemas > /dev/null
fi


%files -f %name.lang
%defattr(-,root,root)
%doc NEWS AUTHORS ChangeLog
%_sysconfdir/gconf/schemas/%name.schemas
%_libdir/bonobo/servers/GNOME_PresenceApplet.server
%_libexecdir/%name
%_datadir/%name

%changelog
* Thu Jun 16 2005 Götz Waschk <waschk@mandriva.org> 0.3.1-2mdk
- fix buildrequires

* Thu Jun 16 2005 Götz Waschk <waschk@mandriva.org> 0.3.1-1mdk
- initial package
